Index: functions.c
===================================================================
--- functions.c	(revision 27964fe3346a8e20734cb567ff512757eb1d1ad8)
+++ functions.c	(revision c79a04782cf599c7fdc305dbe33acb4b8842c771)
@@ -44,5 +44,5 @@
 }
 
-void owl_function_show_commands()
+void owl_function_show_commands(void)
 {
   owl_list l;
@@ -78,5 +78,5 @@
 }
 
-void owl_function_show_styles() {
+void owl_function_show_styles(void) {
   owl_list l;
   owl_fmtext fm;
@@ -120,5 +120,5 @@
 }
 
-void owl_function_show_license()
+void owl_function_show_license(void)
 {
   const char *text;
@@ -166,5 +166,5 @@
 }
 
-void owl_function_show_quickstart()
+void owl_function_show_quickstart(void)
 {
     const char *message =
@@ -357,5 +357,5 @@
 }
 
-void owl_function_loopwrite_setup()
+void owl_function_loopwrite_setup(void)
 {
   owl_editwin *e;
@@ -693,20 +693,20 @@
 }
 
-void owl_function_nextmsg()
+void owl_function_nextmsg(void)
 {
   owl_function_nextmsg_full(NULL, 0, 1);
 }
 
-void owl_function_prevmsg()
+void owl_function_prevmsg(void)
 {
   owl_function_prevmsg_full(NULL, 0, 1);
 }
 
-void owl_function_nextmsg_notdeleted()
+void owl_function_nextmsg_notdeleted(void)
 {
   owl_function_nextmsg_full(NULL, 1, 1);
 }
 
-void owl_function_prevmsg_notdeleted()
+void owl_function_prevmsg_notdeleted(void)
 {
   owl_function_prevmsg_full(NULL, 1, 1);
@@ -772,5 +772,5 @@
 }
 
-void owl_function_expunge()
+void owl_function_expunge(void)
 {
   int curmsg;
@@ -808,5 +808,5 @@
 }
 
-void owl_function_firstmsg()
+void owl_function_firstmsg(void)
 {
   owl_global_set_curmsg(&g, 0);
@@ -816,5 +816,5 @@
 }
 
-void owl_function_lastmsg_noredisplay()
+void owl_function_lastmsg_noredisplay(void)
 {
   int oldcurmsg, curmsg;
@@ -838,5 +838,5 @@
 }
 
-void owl_function_lastmsg()
+void owl_function_lastmsg(void)
 {
   owl_function_lastmsg_noredisplay();
@@ -844,5 +844,5 @@
 }
 
-void owl_function_shift_right()
+void owl_function_shift_right(void)
 {
   owl_global_set_rightshift(&g, owl_global_get_rightshift(&g)+10);
@@ -851,5 +851,5 @@
 }
 
-void owl_function_shift_left()
+void owl_function_shift_left(void)
 {
   int shift;
@@ -866,5 +866,5 @@
 }
 
-void owl_function_unsuball()
+void owl_function_unsuball(void)
 {
   unsuball();
@@ -946,5 +946,5 @@
 }
 
-void owl_function_suspend()
+void owl_function_suspend(void)
 {
   endwin();
@@ -956,5 +956,5 @@
 }
 
-void owl_function_zaway_toggle()
+void owl_function_zaway_toggle(void)
 {
   if (!owl_global_is_zaway(&g)) {
@@ -966,5 +966,5 @@
 }
 
-void owl_function_zaway_on()
+void owl_function_zaway_on(void)
 {
   owl_global_set_zaway_on(&g);
@@ -972,5 +972,5 @@
 }
 
-void owl_function_zaway_off()
+void owl_function_zaway_off(void)
 {
   owl_global_set_zaway_off(&g);
@@ -978,5 +978,5 @@
 }
 
-void owl_function_aaway_toggle()
+void owl_function_aaway_toggle(void)
 {
   if (!owl_global_is_aaway(&g)) {
@@ -988,5 +988,5 @@
 }
 
-void owl_function_aaway_on()
+void owl_function_aaway_on(void)
 {
   owl_global_set_aaway_on(&g);
@@ -995,5 +995,5 @@
 }
 
-void owl_function_aaway_off()
+void owl_function_aaway_off(void)
 {
   owl_global_set_aaway_off(&g);
@@ -1002,5 +1002,5 @@
 }
 
-void owl_function_quit()
+void owl_function_quit(void)
 {
   char *ret;
@@ -1227,10 +1227,10 @@
 }
 
-void owl_function_resize()
+void owl_function_resize(void)
 {
   owl_global_set_resize_pending(&g);
 }
 
-void owl_function_run_buffercommand()
+void owl_function_run_buffercommand(void)
 {
   owl_editwin_do_callback(owl_global_get_typwin(&g));
@@ -1264,5 +1264,5 @@
 }
 
-void owl_function_beep()
+void owl_function_beep(void)
 {
   if (owl_global_is_bell(&g)) {
@@ -1302,5 +1302,5 @@
 }
 
-void owl_function_full_redisplay()
+void owl_function_full_redisplay(void)
 {
   redrawwin(owl_global_get_curs_recwin(&g));
@@ -1384,5 +1384,5 @@
 }
 
-void owl_function_about()
+void owl_function_about(void)
 {
   owl_function_popless_text(
@@ -1410,5 +1410,5 @@
 }
 
-void owl_function_info()
+void owl_function_info(void)
 {
   const owl_message *m;
@@ -1545,5 +1545,5 @@
  * style the user may be using
  */
-void owl_function_curmsg_to_popwin()
+void owl_function_curmsg_to_popwin(void)
 {
   const owl_view *v;
@@ -1628,5 +1628,5 @@
 }
 
-void owl_function_mainwin_pagedown()
+void owl_function_mainwin_pagedown(void)
 {
   int i;
@@ -1643,5 +1643,5 @@
 }
 
-void owl_function_mainwin_pageup()
+void owl_function_mainwin_pageup(void)
 {
   owl_global_set_curmsg(&g, owl_global_get_topmsg(&g));
@@ -1649,5 +1649,5 @@
 }
 
-void owl_function_getsubs()
+void owl_function_getsubs(void)
 {
   char *buff;
@@ -1664,5 +1664,5 @@
 }
 
-void owl_function_printallvars()
+void owl_function_printallvars(void)
 {
   const char *name;
@@ -1691,5 +1691,5 @@
 }
 
-void owl_function_show_variables()
+void owl_function_show_variables(void)
 {
   owl_list varnames;
@@ -1745,5 +1745,5 @@
 }
 
-void owl_function_delete_automsgs()
+void owl_function_delete_automsgs(void)
 {
   /* mark for deletion all messages in the current view that match the
@@ -1778,5 +1778,5 @@
 }
 
-void owl_function_status()
+void owl_function_status(void)
 {
   char buff[MAXPATHLEN+1];
@@ -1858,5 +1858,5 @@
 }
 
-void owl_function_show_term()
+void owl_function_show_term(void)
 {
   owl_fmtext fm;
@@ -2271,5 +2271,5 @@
 }
 
-void owl_function_show_filters()
+void owl_function_show_filters(void)
 {
   const owl_list *l;
@@ -2316,5 +2316,5 @@
 }
 
-void owl_function_show_zpunts()
+void owl_function_show_zpunts(void)
 {
   const owl_filter *f;
@@ -2749,5 +2749,5 @@
 }
 
-void owl_function_show_colors()
+void owl_function_show_colors(void)
 {
   owl_fmtext fm;
@@ -2899,5 +2899,5 @@
 }
 
-void owl_function_show_keymaps()
+void owl_function_show_keymaps(void)
 {
   owl_list l;
@@ -3379,5 +3379,5 @@
 }
 
-void owl_function_toggleoneline()
+void owl_function_toggleoneline(void)
 {
   owl_view *v;
@@ -3438,5 +3438,5 @@
 }
 
-void owl_function_showerrs()
+void owl_function_showerrs(void)
 {
   owl_fmtext fm;
@@ -3552,5 +3552,5 @@
 }
 
-int owl_function_get_color_count()
+int owl_function_get_color_count(void)
 {
      return COLORS;
@@ -3579,5 +3579,5 @@
 }
 
-void owl_function_mark_message()
+void owl_function_mark_message(void)
 {
   const owl_message *m;
@@ -3598,5 +3598,5 @@
 }
 
-void owl_function_swap_cur_marked()
+void owl_function_swap_cur_marked(void)
 {
   int marked_id;
